## pgsql-asn1oid 0.0.20100818

=== Makefile ===
MODULES = asn1oid

PGCONFIG = pg_config

PGXS = $(shell $(PGCONFIG) --pgxs)

include $(PGXS)

=== debian/changelog ===
pgsql-asn1oid (0.0.20100818-3) unstable; urgency=low

  * Update to PostgreSQL 9.3 (Closes: #731913)

 -- Simon Richter <sjr@debian.org>  Wed, 11 Dec 2013 10:35:24 +0100

pgsql-asn1oid (0.0.20100818-2) unstable; urgency=low

  * Upgrade to policy 3.9.3
  * Upgrade to PostgreSQL 9.1

 -- Simon Richter <sjr@debian.org>  Sun, 29 Jul 2012 21:19:12 +0200

pgsql-asn1oid (0.0.20100818-1) unstable; urgency=low

  * Initial release

 -- Simon Richter <sjr@debian.org>  Wed, 18 Aug 2010 17:26:27 +0200

=== debian/control ===
Source: pgsql-asn1oid
Section: database
Priority: optional
Maintainer: Simon Richter <sjr@debian.org>
Build-Depends: debhelper (>= 7.0.50~), postgresql-server-dev-9.3
Standards-Version: 3.9.3

Package: libpgsql-9.3-asn1oid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.3
Description: ASN.1 OID data type for PostgreSQL
 This plugin provides the necessary support functions to store ASN.1 OIDs in
 a PostgreSQL database.
 .
 This package has been compiled for PostgreSQL 9.3.

=== debian/watch ===
version=3
http://www.hogyros.de/download/ pgsql-asn1oid-(.*)\.tar\.bz2

## pgsql-asn1oid 1.2

=== Makefile ===
MODULES = asn1oid
EXTENSION = asn1oid
DATA = asn1oid--1.sql asn1oid--unpackaged--1.sql
REGRESS = init asn1oid

PG_CONFIG := pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)

include $(PGXS)

## pgsql-asn1oid 1.3

=== Makefile ===
MODULES = asn1oid
EXTENSION = asn1oid
DATA = asn1oid--1.sql
REGRESS = init asn1oid

PG_CONFIG := pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)

include $(PGXS)

=== debian/changelog ===
pgsql-asn1oid (1.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Upgrade to newer source format.
  * Update standards version to 4.4.1, no changes needed.

  [ Christoph Berg ]
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 14:16:04 +0200

pgsql-asn1oid (1.2-3) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 11:40:16 +0100

pgsql-asn1oid (1.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Retire Simon from Uploaders, thanks for your work!

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 20:12:21 +0200

pgsql-asn1oid (1.2-1) unstable; urgency=medium

  * Team upload.
  * More testsuite cases by Herwin Weststrate, thanks!
  * Add homepage and Vcs fields.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 02 Oct 2017 10:13:29 +0200

pgsql-asn1oid (1.1) unstable; urgency=medium

  * Import Debian patches into a new upstream version.
  * Upload for PostgreSQL 10.
  * Convert to a proper PostgreSQL extension.

 -- Christoph Berg <myon@debian.org>  Sun, 24 Sep 2017 11:40:05 +0200

pgsql-asn1oid (0.0.20100818-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch by Herwin Weststrate to fix crash on invalid asn1oid input,
    thanks! (Closes: 822935)

 -- Christoph Berg <myon@debian.org>  Thu, 26 Jan 2017 17:32:57 +0100

pgsql-asn1oid (0.0.20100818-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload with 9.6 support.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Sep 2016 22:03:41 +0200

pgsql-asn1oid (0.0.20100818-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload with 9.5 support. (Closes: #810560)
  * Fix testsuite to cope with changed \set ECHO semantics,
    patch by Martin Pitt. (Closes: #777521)

 -- Christoph Berg <myon@debian.org>  Thu, 21 Jan 2016 19:47:52 +0100

pgsql-asn1oid (0.0.20100818-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port to use pg_buildext and move to PostgreSQL 9.4 for jessie.
    (Closes: #757392)
  * Rename binary package to postgresql-9.4-asn1oid.
  * Add regression tests.

 -- Christoph Berg <myon@debian.org>  Sun, 07 Sep 2014 16:44:53 +0200

=== debian/control ===
Source: pgsql-asn1oid
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/ChristophBerg/pgsql-asn1oid
Vcs-Browser: https://github.com/ChristophBerg/pgsql-asn1oid
Vcs-Git: https://github.com/ChristophBerg/pgsql-asn1oid.git

Package: postgresql-13-asn1oid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-13
Description: ASN.1 OID data type for PostgreSQL
 This plugin provides the necessary support functions to store ASN.1 OIDs in
 a PostgreSQL database.
 .
 This package has been compiled for PostgreSQL 13.

=== debian/watch ===
version=3
https://github.com/ChristophBerg/pgsql-asn1oid/releases .*/upstream/(.*)\.tar\.gz

## pgsql-asn1oid 1.4~20220627.1421-3~1.git9396599.pgdg20.04+1

=== debian/changelog ===
pgsql-asn1oid (1.4~20220627.1421-3~1.git9396599.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:03:14 +0100

pgsql-asn1oid (1.4-3) unstable; urgency=medium

  * Fix GitHub watch file.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jan 2022 16:03:14 +0100

pgsql-asn1oid (1.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Oct 2021 13:52:56 +0200

pgsql-asn1oid (1.4-1) unstable; urgency=medium

  * Update Debian package URLs.

 -- Christoph Berg <myon@debian.org>  Tue, 31 Aug 2021 16:53:12 +0200

=== debian/control ===
Source: pgsql-asn1oid
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/df7cb/pgsql-asn1oid
Vcs-Browser: https://github.com/df7cb/pgsql-asn1oid
Vcs-Git: https://github.com/df7cb/pgsql-asn1oid.git

Package: postgresql-10-asn1oid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
Description: ASN.1 OID data type for PostgreSQL
 This plugin provides the necessary support functions to store ASN.1 OIDs in
 a PostgreSQL database.
 .
 This package has been compiled for PostgreSQL 10.

Package: postgresql-11-asn1oid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
Description: ASN.1 OID data type for PostgreSQL
 This plugin provides the necessary support functions to store ASN.1 OIDs in
 a PostgreSQL database.
 .
 This package has been compiled for PostgreSQL 11.

Package: postgresql-12-asn1oid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-12
Description: ASN.1 OID data type for PostgreSQL
 This plugin provides the necessary support functions to store ASN.1 OIDs in
 a PostgreSQL database.
 .
 This package has been compiled for PostgreSQL 12.

Package: postgresql-13-asn1oid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-13
Description: ASN.1 OID data type for PostgreSQL
 This plugin provides the necessary support functions to store ASN.1 OIDs in
 a PostgreSQL database.
 .
 This package has been compiled for PostgreSQL 13.

Package: postgresql-14-asn1oid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-14
Description: ASN.1 OID data type for PostgreSQL
 This plugin provides the necessary support functions to store ASN.1 OIDs in
 a PostgreSQL database.
 .
 This package has been compiled for PostgreSQL 14.

## pgsql-asn1oid 1.4~20220627.1421-3~1.git9396599.pgdg21.10+1

=== debian/changelog ===
pgsql-asn1oid (1.4~20220627.1421-3~1.git9396599.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:03:14 +0100

## pgsql-asn1oid 1.4~20220627.1421-3~1.git9396599.pgdg90+1

=== debian/changelog ===
pgsql-asn1oid (1.4~20220627.1421-3~1.git9396599.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:03:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/df7cb/pgsql-asn1oid

## pgsql-asn1oid 1.4~20220627.1421-3~1.git9396599.pgdg110+1

=== debian/changelog ===
pgsql-asn1oid (1.4~20220627.1421-3~1.git9396599.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:03:14 +0100

## pgsql-asn1oid 1.4~20220627.1421-3~1.git9396599.pgdg+1

=== debian/changelog ===
pgsql-asn1oid (1.4~20220627.1421-3~1.git9396599.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:03:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/df7cb/pgsql-asn1oid

## pgsql-asn1oid 1.4

=== debian/control ===
Source: pgsql-asn1oid
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/df7cb/pgsql-asn1oid
Vcs-Browser: https://github.com/df7cb/pgsql-asn1oid
Vcs-Git: https://github.com/df7cb/pgsql-asn1oid.git

Package: postgresql-14-asn1oid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-14
Description: ASN.1 OID data type for PostgreSQL
 This plugin provides the necessary support functions to store ASN.1 OIDs in
 a PostgreSQL database.
 .
 This package has been compiled for PostgreSQL 14.

=== debian/watch ===
version=4
https://github.com/df7cb/pgsql-asn1oid/tags .*/upstream/(.*)\.tar\.gz

## pgsql-asn1oid 1.5

=== debian/changelog ===
pgsql-asn1oid (1.5-1) unstable; urgency=medium

  * New upstream version compatible with PG16.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 22:35:19 +0200

pgsql-asn1oid (1.4-4) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 15:28:34 +0200

## pgsql-asn1oid 1.6

=== debian/changelog ===
pgsql-asn1oid (1.6-3) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117311)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 17:58:04 +0200

pgsql-asn1oid (1.6-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 20:29:11 +0200

pgsql-asn1oid (1.6-1) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 15:47:24 +0200

=== debian/control ===
Source: pgsql-asn1oid
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/df7cb/pgsql-asn1oid
Vcs-Browser: https://github.com/df7cb/pgsql-asn1oid
Vcs-Git: https://github.com/df7cb/pgsql-asn1oid.git

Package: postgresql-18-asn1oid
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: ASN.1 OID data type for PostgreSQL
 This plugin provides the necessary support functions to store ASN.1 OIDs in
 a PostgreSQL database.
 .
 This package has been compiled for PostgreSQL 18.
